Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplRepoC.cpp File Reference

`#include "ImplRepoC.h"`
`#include "tao/Stub.h"`
`#include "tao/Invocation.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/ClientRequestInfo.h"`
`#include "tao/ClientInterceptorAdapter.h"`
`#include "ImplRepoC.i"`

Include dependency graph for ImplRepoC.cpp:

## Compounds
class | TAO_ClientRequestInfo_ImplementationRepository_Administration_activate_server
class | TAO_ClientRequestInfo_ImplementationRepository_Administration_find
class | TAO_ClientRequestInfo_ImplementationRepository_Administration_list
class | TAO_ClientRequestInfo_ImplementationRepository_Administration_register_server
class | TAO_ClientRequestInfo_ImplementationRepository_Administration_remove_server
class | TAO_ClientRequestInfo_ImplementationRepository_Administration_reregister_server
class | TAO_ClientRequestInfo_ImplementationRepository_Administration_server_is_running
class | TAO_ClientRequestInfo_ImplementationRepository_Administration_server_is_shutting_down
class | TAO_ClientRequestInfo_ImplementationRepository_Administration_shutdown_server
class | TAO_ClientRequestInfo_ImplementationRepository_ServerInformationIterator_destroy
class | TAO_ClientRequestInfo_ImplementationRepository_ServerInformationIterator_next_n
class | TAO_ClientRequestInfo_ImplementationRepository_ServerObject_ping
class | TAO_ClientRequestInfo_ImplementationRepository_ServerObject_shutdown
## Defines
#define | __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CS_
#define | _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CS_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_ServerObject ( CORBA::tk_objref, sizeof (_oc_ImplementationRepository_ServerObject), (char *) &_oc_ImplementationRepository_ServerObject, 0, sizeof (ImplementationRepository::ServerObject) )
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_EnvironmentVariable ( CORBA::tk_struct, sizeof (_oc_ImplementationRepository_EnvironmentVariable), (char *) &_oc_ImplementationRepository_EnvironmentVariable, 0, sizeof (ImplementationRepository::EnvironmentVariable) )
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_Address ( CORBA::tk_alias, sizeof (_oc_ImplementationRepository_Address), (char *) &_oc_ImplementationRepository_Address, 0, sizeof (ImplementationRepository::Address) )
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_EnvironmentList ( CORBA::tk_alias, sizeof (_oc_ImplementationRepository_EnvironmentList), (char *) &_oc_ImplementationRepository_EnvironmentList, 0, sizeof (ImplementationRepository::EnvironmentList) )
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_ActivationMode ( CORBA::tk_enum, sizeof (_oc_ImplementationRepository_ActivationMode), (char *) &_oc_ImplementationRepository_ActivationMode, 0, sizeof (ImplementationRepository::ActivationMode) )
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_StartupOptions ( CORBA::tk_struct, sizeof (_oc_ImplementationRepository_StartupOptions), (char *) &_oc_ImplementationRepository_StartupOptions, 0, sizeof (ImplementationRepository::StartupOptions) )
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_ServerInformation ( CORBA::tk_struct, sizeof (_oc_ImplementationRepository_ServerInformation), (char *) &_oc_ImplementationRepository_ServerInformation, 0, sizeof (ImplementationRepository::ServerInformation) )
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_ServerInformationList ( CORBA::tk_alias, sizeof (_oc_ImplementationRepository_ServerInformationList), (char *) &_oc_ImplementationRepository_ServerInformationList, 0, sizeof (ImplementationRepository::ServerInformationList) )
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_Administration_AlreadyRegistered ( CORBA::tk_except, sizeof (_oc_ImplementationRepository_Administration_AlreadyRegistered), (char *) &_oc_ImplementationRepository_Administration_AlreadyRegistered, 0, sizeof (ImplementationRepository::Administration::AlreadyRegistered) )
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_Administration_CannotActivate ( CORBA::tk_except, sizeof (_oc_ImplementationRepository_Administration_CannotActivate), (char *) &_oc_ImplementationRepository_Administration_CannotActivate, 0, sizeof (ImplementationRepository::Administration::CannotActivate) )
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_Administration_NotFound ( CORBA::tk_except, sizeof (_oc_ImplementationRepository_Administration_NotFound), (char *) &_oc_ImplementationRepository_Administration_NotFound, 0, sizeof (ImplementationRepository::Administration::NotFound) )
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_Administration ( CORBA::tk_objref, sizeof (_oc_ImplementationRepository_Administration), (char *) &_oc_ImplementationRepository_Administration, 0, sizeof (ImplementationRepository::Administration) )
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_ServerInformationIterator ( CORBA::tk_objref, sizeof (_oc_ImplementationRepository_ServerInformationIterator), (char *) &_oc_ImplementationRepository_ServerInformationIterator, 0, sizeof (ImplementationRepository::ServerInformationIterator) )
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::ServerObject_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const ImplementationRepository::EnvironmentVariable &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::EnvironmentVariable *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::EnvironmentVariable *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const ImplementationRepository::EnvironmentVariable *&_tao_elem)
void | operator<<= ( CORBA::Any &_tao_any, const ImplementationRepository::EnvironmentList &_tao_elem )
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::EnvironmentList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::EnvironmentList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const ImplementationRepository::EnvironmentList *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::ActivationMode _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::ActivationMode &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const ImplementationRepository::StartupOptions &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::StartupOptions *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::StartupOptions *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const ImplementationRepository::StartupOptions *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const ImplementationRepository::ServerInformation &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::ServerInformation *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::ServerInformation *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const ImplementationRepository::ServerInformation *&_tao_elem)
void | operator<<= ( CORBA::Any &_tao_any, const ImplementationRepository::ServerInformationList &_tao_elem )
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::ServerInformationList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::ServerInformationList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const ImplementationRepository::ServerInformationList *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::Administration_ptr _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::Administration_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const ImplementationRepository::Administration::AlreadyRegistered &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::Administration::AlreadyRegistered *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::Administration::AlreadyRegistered *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const ImplementationRepository::Administration::AlreadyRegistered *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const ImplementationRepository::Administration::CannotActivate &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::Administration::CannotActivate *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::Administration::CannotActivate *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const ImplementationRepository::Administration::CannotActivate *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const ImplementationRepository::Administration::NotFound &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::Administration::NotFound *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::Administration::NotFound *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const ImplementationRepository::Administration::NotFound *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::ServerInformationIterator_ptr _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::ServerInformationIterator_ptr &_tao_elem)
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const ImplementationRepository::ServerObject_ptr _tao_objref )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, ImplementationRepository::ServerObject_ptr &_tao_objref )
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const ImplementationRepository::EnvironmentList &_tao_sequence )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, ImplementationRepository::EnvironmentList &_tao_sequence )
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const ImplementationRepository::ServerInformationList &_tao_sequence )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, ImplementationRepository::ServerInformationList &_tao_sequence )
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const ImplementationRepository::Administration_ptr _tao_objref )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, ImplementationRepository::Administration_ptr &_tao_objref )
CORBA::Boolean | operator<< ( TAO_OutputCDR &strm, const ImplementationRepository::ServerInformationIterator_ptr _tao_objref )
CORBA::Boolean | operator>> ( TAO_InputCDR &strm, ImplementationRepository::ServerInformationIterator_ptr &_tao_objref )
## Variables
ImplementationRepository::_TAO_ServerObject_Proxy_Broker* (* | ImplementationRepository__TAO_ServerObject_Proxy_Broker_Factory_function_pointer )( CORBA::Object_ptr obj ) = 0
const CORBA::Long | _oc_ImplementationRepository_ServerObject []
const CORBA::Long | _oc_ImplementationRepository_Address []
const CORBA::Long | _oc_ImplementationRepository_EnvironmentList []
const CORBA::Long | _oc_ImplementationRepository_ServerInformation []
const CORBA::Long | _oc_ImplementationRepository_ServerInformationList []
ImplementationRepository::_TAO_Administration_Proxy_Broker* (* | ImplementationRepository__TAO_Administration_Proxy_Broker_Factory_function_pointer )( CORBA::Object_ptr obj ) = 0
const CORBA::Long | _oc_ImplementationRepository_Administration_AlreadyRegistered []
const CORBA::Long | _oc_ImplementationRepository_Administration_CannotActivate []
const CORBA::Long | _oc_ImplementationRepository_Administration_NotFound []
const CORBA::Long | _oc_ImplementationRepository_Administration []
ImplementationRepository::_TAO_ServerInformationIterator_Proxy_Broker* (* | ImplementationRepository__TAO_ServerInformationIterator_Proxy_Broker_Factory_function_pointer )( CORBA::Object_ptr obj ) = 0
const CORBA::Long | _oc_ImplementationRepository_ServerInformationIterator []

## Define Documentation

#define _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CS_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CS_

#define __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CS_

#define __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_ActivationMode ( | CORBA::tk_enum,
| sizeof(_oc_ImplementationRepository_ActivationMode),
| (char *)& _oc_ImplementationRepository_ActivationMode,
| 0,
| sizeof(ImplementationRepository::ActivationMode) )`[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_Address ( | CORBA::tk_alias,
| sizeof(_oc_ImplementationRepository_Address),
| (char *)& _oc_ImplementationRepository_Address,
| 0,
| sizeof(ImplementationRepository::Address) )`[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_Administration ( | CORBA::tk_objref,
| sizeof(_oc_ImplementationRepository_Administration),
| (char *)& _oc_ImplementationRepository_Administration,
| 0,
| sizeof(ImplementationRepository::Administration) )`[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_Administration_AlreadyRegistered ( | CORBA::tk_except,
| sizeof(_oc_ImplementationRepository_Administration_AlreadyRegistered),
| (char *)& _oc_ImplementationRepository_Administration_AlreadyRegistered,
| 0,
| sizeof(ImplementationRepository::Administration::AlreadyRegistered) )`[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_Administration_CannotActivate ( | CORBA::tk_except,
| sizeof(_oc_ImplementationRepository_Administration_CannotActivate),
| (char *)& _oc_ImplementationRepository_Administration_CannotActivate,
| 0,
| sizeof(ImplementationRepository::Administration::CannotActivate) )`[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_Administration_NotFound ( | CORBA::tk_except,
| sizeof(_oc_ImplementationRepository_Administration_NotFound),
| (char *)& _oc_ImplementationRepository_Administration_NotFound,
| 0,
| sizeof(ImplementationRepository::Administration::NotFound) )`[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_EnvironmentList ( | CORBA::tk_alias,
| sizeof(_oc_ImplementationRepository_EnvironmentList),
| (char *)& _oc_ImplementationRepository_EnvironmentList,
| 0,
| sizeof(ImplementationRepository::EnvironmentList) )`[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_EnvironmentVariable ( | CORBA::tk_struct,
| sizeof(_oc_ImplementationRepository_EnvironmentVariable),
| (char *)& _oc_ImplementationRepository_EnvironmentVariable,
| 0,
| sizeof(ImplementationRepository::EnvironmentVariable) )`[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_ServerInformation ( | CORBA::tk_struct,
| sizeof(_oc_ImplementationRepository_ServerInformation),
| (char *)& _oc_ImplementationRepository_ServerInformation,
| 0,
| sizeof(ImplementationRepository::ServerInformation) )`[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_ServerInformationIterator ( | CORBA::tk_objref,
| sizeof(_oc_ImplementationRepository_ServerInformationIterator),
| (char *)& _oc_ImplementationRepository_ServerInformationIterator,
| 0,
| sizeof(ImplementationRepository::ServerInformationIterator) )`[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_ServerInformationList ( | CORBA::tk_alias,
| sizeof(_oc_ImplementationRepository_ServerInformationList),
| (char *)& _oc_ImplementationRepository_ServerInformationList,
| 0,
| sizeof(ImplementationRepository::ServerInformationList) )`[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_ServerObject ( | CORBA::tk_objref,
| sizeof(_oc_ImplementationRepository_ServerObject),
| (char *)& _oc_ImplementationRepository_ServerObject,
| 0,
| sizeof(ImplementationRepository::ServerObject) )`[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_StartupOptions ( | CORBA::tk_struct,
| sizeof(_oc_ImplementationRepository_StartupOptions),
| (char *)& _oc_ImplementationRepository_StartupOptions,
| 0,
| sizeof(ImplementationRepository::StartupOptions) )`[static]`

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const ImplementationRepository::ServerInformationIterator_ptr _tao_objref )

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const ImplementationRepository::Administration_ptr _tao_objref )

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const ImplementationRepository::ServerInformationList & _tao_sequence )

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const ImplementationRepository::EnvironmentList & _tao_sequence )

CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const ImplementationRepository::ServerObject_ptr _tao_objref )

void operator<<= ( | CORBA::Any & _tao_any,
| ImplementationRepository::ServerInformationIterator_ptr _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| ImplementationRepository::Administration::NotFound * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const ImplementationRepository::Administration::NotFound & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| ImplementationRepository::Administration::CannotActivate * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const ImplementationRepository::Administration::CannotActivate & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| ImplementationRepository::Administration::AlreadyRegistered * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const ImplementationRepository::Administration::AlreadyRegistered & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| ImplementationRepository::Administration_ptr _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| ImplementationRepository::ServerInformationList * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const ImplementationRepository::ServerInformationList & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| ImplementationRepository::ServerInformation * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const ImplementationRepository::ServerInformation & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| ImplementationRepository::StartupOptions * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const ImplementationRepository::StartupOptions & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| ImplementationRepository::ActivationMode _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| ImplementationRepository::EnvironmentList * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const ImplementationRepository::EnvironmentList & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| ImplementationRepository::EnvironmentVariable * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const ImplementationRepository::EnvironmentVariable & _tao_elem )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| ImplementationRepository::ServerInformationIterator_ptr & _tao_objref )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| ImplementationRepository::Administration_ptr & _tao_objref )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| ImplementationRepository::ServerInformationList & _tao_sequence )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| ImplementationRepository::EnvironmentList & _tao_sequence )

CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| ImplementationRepository::ServerObject_ptr & _tao_objref )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| ImplementationRepository::ServerInformationIterator_ptr & _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const ImplementationRepository::Administration::NotFound *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| ImplementationRepository::Administration::NotFound *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const ImplementationRepository::Administration::CannotActivate *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| ImplementationRepository::Administration::CannotActivate *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const ImplementationRepository::Administration::AlreadyRegistered *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| ImplementationRepository::Administration::AlreadyRegistered *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| ImplementationRepository::Administration_ptr & _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const ImplementationRepository::ServerInformationList *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| ImplementationRepository::ServerInformationList *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const ImplementationRepository::ServerInformation *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| ImplementationRepository::ServerInformation *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const ImplementationRepository::StartupOptions *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| ImplementationRepository::StartupOptions *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| ImplementationRepository::ActivationMode & _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const ImplementationRepository::EnvironmentList *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| ImplementationRepository::EnvironmentList *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const ImplementationRepository::EnvironmentVariable *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| ImplementationRepository::EnvironmentVariable *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| ImplementationRepository::ServerObject_ptr & _tao_elem )

## Variable Documentation

TAO_PortableServer_Export ImplementationRepository::_TAO_Administration_Proxy_Broker *(* ImplementationRepository__TAO_Administration_Proxy_Broker_Factory_function_pointer)(CORBA::Object_ptr obj)

TAO_PortableServer_Export ImplementationRepository::_TAO_ServerInformationIterator_Proxy_Broker *(* ImplementationRepository__TAO_ServerInformationIterator_Proxy_Broker_Factory_function_pointer)(CORBA::Object_ptr obj)

ImplementationRepository::_TAO_ServerObject_Proxy_Broker *(* ImplementationRepository__TAO_ServerObject_Proxy_Broker_Factory_function_pointer)(CORBA::Object_ptr obj)=0

const CORBA::Long _oc_ImplementationRepository_Address[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      41,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x496d706c),
      ACE_NTOHL (0x656d656e),
      ACE_NTOHL (0x74617469),
      ACE_NTOHL (0x6f6e5265),
      ACE_NTOHL (0x706f7369),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x2f416464),
      ACE_NTOHL (0x72657373),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
      8,
      ACE_NTOHL (0x41646472),
      ACE_NTOHL (0x65737300),
      CORBA::tk_string,
      0U,
    }

const CORBA::Long _oc_ImplementationRepository_Administration[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      48,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x496d706c),
      ACE_NTOHL (0x656d656e),
      ACE_NTOHL (0x74617469),
      ACE_NTOHL (0x6f6e5265),
      ACE_NTOHL (0x706f7369),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x2f41646d),
      ACE_NTOHL (0x696e6973),
      ACE_NTOHL (0x74726174),
      ACE_NTOHL (0x696f6e3a),
      ACE_NTOHL (0x312e3000),
      15,
      ACE_NTOHL (0x41646d69),
      ACE_NTOHL (0x6e697374),
      ACE_NTOHL (0x72617469),
      ACE_NTOHL (0x6f6e0000),
    }

const CORBA::Long _oc_ImplementationRepository_Administration_AlreadyRegistered[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      66,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x496d706c),
      ACE_NTOHL (0x656d656e),
      ACE_NTOHL (0x74617469),
      ACE_NTOHL (0x6f6e5265),
      ACE_NTOHL (0x706f7369),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x2f41646d),
      ACE_NTOHL (0x696e6973),
      ACE_NTOHL (0x74726174),
      ACE_NTOHL (0x696f6e2f),
      ACE_NTOHL (0x416c7265),
      ACE_NTOHL (0x61647952),
      ACE_NTOHL (0x65676973),
      ACE_NTOHL (0x74657265),
      ACE_NTOHL (0x643a312e),
      ACE_NTOHL (0x30000000),
      18,
      ACE_NTOHL (0x416c7265),
      ACE_NTOHL (0x61647952),
      ACE_NTOHL (0x65676973),
      ACE_NTOHL (0x74657265),
      ACE_NTOHL (0x64000000),
      0,
    }

const CORBA::Long _oc_ImplementationRepository_Administration_CannotActivate[]`[static]`

const CORBA::Long _oc_ImplementationRepository_Administration_NotFound[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      57,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x496d706c),
      ACE_NTOHL (0x656d656e),
      ACE_NTOHL (0x74617469),
      ACE_NTOHL (0x6f6e5265),
      ACE_NTOHL (0x706f7369),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x2f41646d),
      ACE_NTOHL (0x696e6973),
      ACE_NTOHL (0x74726174),
      ACE_NTOHL (0x696f6e2f),
      ACE_NTOHL (0x4e6f7446),
      ACE_NTOHL (0x6f756e64),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
      9,
      ACE_NTOHL (0x4e6f7446),
      ACE_NTOHL (0x6f756e64),
      ACE_NTOHL (0x0),
      0,
    }

const CORBA::Long _oc_ImplementationRepository_EnvironmentList[]`[static]`

const CORBA::Long _oc_ImplementationRepository_ServerInformation[]`[static]`

const CORBA::Long _oc_ImplementationRepository_ServerInformationIterator[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      59,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x496d706c),
      ACE_NTOHL (0x656d656e),
      ACE_NTOHL (0x74617469),
      ACE_NTOHL (0x6f6e5265),
      ACE_NTOHL (0x706f7369),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x2f536572),
      ACE_NTOHL (0x76657249),
      ACE_NTOHL (0x6e666f72),
      ACE_NTOHL (0x6d617469),
      ACE_NTOHL (0x6f6e4974),
      ACE_NTOHL (0x65726174),
      ACE_NTOHL (0x6f723a31),
      ACE_NTOHL (0x2e300000),
      26,
      ACE_NTOHL (0x53657276),
      ACE_NTOHL (0x6572496e),
      ACE_NTOHL (0x666f726d),
      ACE_NTOHL (0x6174696f),
      ACE_NTOHL (0x6e497465),
      ACE_NTOHL (0x7261746f),
      ACE_NTOHL (0x72000000),
    }

const CORBA::Long _oc_ImplementationRepository_ServerInformationList[]`[static]`

const CORBA::Long _oc_ImplementationRepository_ServerObject[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      46,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x496d706c),
      ACE_NTOHL (0x656d656e),
      ACE_NTOHL (0x74617469),
      ACE_NTOHL (0x6f6e5265),
      ACE_NTOHL (0x706f7369),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x2f536572),
      ACE_NTOHL (0x7665724f),
      ACE_NTOHL (0x626a6563),
      ACE_NTOHL (0x743a312e),
      ACE_NTOHL (0x30000000),
      13,
      ACE_NTOHL (0x53657276),
      ACE_NTOHL (0x65724f62),
      ACE_NTOHL (0x6a656374),
      ACE_NTOHL (0x0),
    }